2 endpoints

GET /settings/notifications

Get notification settings

Returns email notification preferences for each event type.

Responses

Status

Description

200

Successful response

401

Unauthorized — invalid or missing API token

403

Forbidden — insufficient permissions

Examples

Bash
curl https://api.lynkow.com/v1/settings/notifications \
  -H "Authorization: Bearer $API_TOKEN"

Response Example

JSON
{
  "data": {
    "formSubmission": true,
    "newReview": true,
    "reviewApproved": false,
    "contentPublished": false,
    "recipientEmails": [
      "[email protected]"
    ]
  }
}

PUT /settings/notifications

Update notification settings

Enables or disables email notifications per event type.

Responses

Status

Description

200

Successful response

401

Unauthorized — invalid or missing API token

403

Forbidden — insufficient permissions

422

Validation error

Response Example

JSON
{
  "data": {
    "formSubmission": true,
    "newReview": true,
    "reviewApproved": true,
    "contentPublished": false,
    "recipientEmails": [
      "[email protected]"
    ]
  }
}